#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	Nilsimsa
Summary:	Digest::Nilsimsa - Perl version of nilsimsa code
Summary(pl.UTF-8):	Digest::Nilsimsa - wersja perlowa kodu nilsimsa
Name:		perl-Digest-Nilsimsa
Version:	0.06
Release:	19
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	08e940bd7f5d1167ef3fd1aa7ce234d7
URL:		http://search.cpan.org/dist/Digest-Nilsimsa/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A nilsimsa signature is a statistic of n-gram occurance in a piece of
text. It is a 256 bit value usually represented in hex. This module is
a wrapper around nilsimsa implementation in C by cmeclax.

%description -l pl.UTF-8
Sygnatura nilsimsa to statystyka występowania n-gramów w danym
tekście. Jest to 256-bitowa liczba, przeważnie reprezentowana
szesnastkowo. Moduł jest nakładką na implementację w C, której
autorem jest cmeclax.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Digest/*.pm
%dir %{perl_vendorarch}/auto/Digest/Nilsimsa
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/Nilsimsa/*.so
%{_mandir}/man3/*
%changelog
* Thu Aug 30 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Digest-Nilsimsa.git;a=log;h=master

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> 43cd3d1
- release 19

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 635f96b
- perl req/prov fix
- release 18 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b649902
- rebuild with perl 5.26
- release 17 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> a4ce436
- rebuild with perl 5.24.0
- release 16 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 211e4cb
- release 15 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> d139240
- x32 rebuild
- release 14 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0e8e361
- release 13 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> a7e2b8b
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 80aeb8f
- rebuild for perl 5.20
- release 12 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0ddf70e
- rebuild with perl 5.18.0
- release 11 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> f1c522c
- rel 10

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 64e9668
- release 9

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0892175
- release 8

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> bba53d6
- release 7

* Sun Mar 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 387e3e4
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> fef97ba
- rel 6

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 7f76863
- rel 5

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 258dec0
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5262e75
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 90b4da1
- converted to UTF-8

